<?xml version="1.0" encoding="UTF-8"?>
<DEFECTS>
<OACRDEFECTCOUNT>8</OACRDEFECTCOUNT>
<OACRERRORCOUNT>0</OACRERRORCOUNT>
<DEFECT _seq="1"><SFA><LINE>68</LINE><COLUMN>7</COLUMN><FILENAME>sample_cpp.h</FILENAME><FILEPATH>c:\development-git\wanpipe_windows\api_code_examples\legacy_api_code_example\</FILEPATH></SFA><DEFECTCODE>6067</DEFECTCODE><DESCRIPTION>Parameter '2' in call to 'printf' must be the address of the string</DESCRIPTION><FUNCTION>DecodeLastError</FUNCTION><FUNCLINE>52</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="2"><SFA><LINE>78</LINE><COLUMN>10</COLUMN><FILENAME>sample_cpp.h</FILENAME><FILEPATH>c:\development-git\wanpipe_windows\api_code_examples\legacy_api_code_example\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  _snprintf is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>get_time_stamp</FUNCTION><FUNCLINE>73</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="3"><SFA><LINE>49</LINE><COLUMN>8</COLUMN><FILENAME>sangoma_port_configurator.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_windows\api_code_examples\legacy_api_code_example\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  sprintf is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>SetRegistryStringValue</FUNCTION><FUNCLINE>44</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="4"><SFA><LINE>374</LINE><COLUMN>8</COLUMN><FILENAME>sangoma_port_configurator.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_windows\api_code_examples\legacy_api_code_example\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  sprintf is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>sangoma_port_configurator::open_port_registry_key</FUNCTION><FUNCLINE>352</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="5"><SFA><LINE>544</LINE><COLUMN>9</COLUMN><FILENAME>sangoma_port_configurator.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_windows\api_code_examples\legacy_api_code_example\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  strcpy is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>sangoma_port_configurator::set_volatile_configration</FUNCTION><FUNCLINE>510</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="6"><SFA><LINE>551</LINE><COLUMN>9</COLUMN><FILENAME>sangoma_port_configurator.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_windows\api_code_examples\legacy_api_code_example\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  strcpy is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>sangoma_port_configurator::set_volatile_configration</FUNCTION><FUNCLINE>510</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="7"><SFA><LINE>565</LINE><COLUMN>10</COLUMN><FILENAME>sangoma_port_configurator.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_windows\api_code_examples\legacy_api_code_example\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  strcpy is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>sangoma_port_configurator::set_volatile_configration</FUNCTION><FUNCLINE>510</FUNCLINE><PATH/></DEFECT>
<DEFECT _seq="8"><SFA><LINE>574</LINE><COLUMN>10</COLUMN><FILENAME>sangoma_port_configurator.cpp</FILENAME><FILEPATH>c:\development-git\wanpipe_windows\api_code_examples\legacy_api_code_example\</FILEPATH></SFA><DEFECTCODE>28719</DEFECTCODE><DESCRIPTION>Banned API Usage:  strcpy is a Banned API as listed in dontuse.h for security purposes.</DESCRIPTION><FUNCTION>sangoma_port_configurator::set_volatile_configration</FUNCTION><FUNCLINE>510</FUNCLINE><PATH/></DEFECT>
</DEFECTS>
